Ruby is a dynamic, open source programming language with a focus on simplicity and productivity.

learn more… | top users | synonyms

2
votes
0answers
110 views

Jekyll installation successful but command not found

I am trying to install Jekyll following http://jekyllrb.com/docs/installation/ ○ → sudo gem install jekyll Password: Fetching: jekyll-2.5.3.gem (100%) Successfully installed jekyll-2.5.3 Parsing ...
2
votes
0answers
297 views

`brew doctor` shows warning: “config” scripts exist outside your system or Homebrew directories

When I use brew doctor, I get following error. Warning: "config" scripts exist outside your system or Homebrew directories. `./configure` scripts often look for *-config scripts to determine if ...
2
votes
0answers
363 views

How do I install sass on centos 5.9 with ruby 1.8.7?

I have CentOS 5.9 on an x86_64. I've installed ruby 1.8.7. Whenever I try to install sass I get an Error saying sass requires Ruby version >= 1.8.7. but that's what I have installed. This is the ...
2
votes
0answers
171 views

Why does RVM Ruby require libksba?

The rvm requirements says I should install "libksba" before installing Ruby 1.9.3. Why? How can I tell if I already have "libksba" installed? I'm running Mountain Lion 10.8.2 and Xcode 4.5 ...
2
votes
0answers
62 views

Can I use e text editor with an existing ruby installation?

I'm using windows and e text editor. I installed cygwin along with the e text editor as it prompted me too, but running ruby programs produces no errors and no output. I'd like to use an existing ruby ...
2
votes
0answers
275 views

Are there any Google Chrome extensions for inserting Furigana over Kanji?

Are there any Google Chrome extensions or userscripts for automatically inserting Furigana characters over Kanji in web pages? Please don't suggest Furigana Injector, because it doesn't work and is ...
2
votes
0answers
55 views

Customize netbeans rails module

The Netbeans rails plugin has a simple a project structure: However, I have encountered the following problems: I cant access config.ru file I cant access app/uploaders dir (carrierwave gem) ...
1
vote
0answers
82 views

Nginx + Passenger not working — client requests hang until timeout

I'm running on an EC2 instance with Amazon Linux installed and Nginx was installed via passenger-install-nginx-module. The full install process followed was similar to this. The primary difference was ...
1
vote
0answers
38 views

Running ruby script through php as www-data

I am running a php application on an apache server. From the php application I need to run a ruby script on the command line. I have verified that running the script directly from a terminal as user, ...
1
vote
0answers
30 views

Will creating a restore point save my Ruby installation

I am running Ruby and Rails on a Win 8.1 PC, and want to know whether creating a Restore Point via System Properties will allow me to go back to my original Ruby version if I was to install a newer ...
1
vote
0answers
222 views

Ruby error on my Mac

I'm having issues with my Ruby on my iMac (early 2010). I have the preview of Mac OS X Yosemite installed, but I've had these issues like forever, so I can't imagine OS X being the error here. ...
1
vote
0answers
50 views

Ruby ri output not coloured in iTerm 2

When I run Ruby ri in an iTerm 2 terminal window, the output is not coloured and I don't know why. Other programs such as Vim work with colour properly. Running ri -f ansi Array.sort results in ...
1
vote
0answers
190 views

How can I get Homebrew and MAMP (Pro) to play nicely together?

I am using MAMP Pro for most of my local application development and am trying to install ruby , etc via homebrew however homebrew will give me the following warning: Warning: "config" scripts exist ...
1
vote
0answers
103 views

How to Properly Use a Cloned Rails Project

Recently, I set up a new dev machine. To get it to seamlessly work with my other machine, I used Git to put my project on BitBucket. Then, I cloned it to my new machine. However, running rails s on ...
1
vote
0answers
249 views

I am having trouble using SASS/Compass on localhost in Fedora 18

I am attempting to use SASS/Compass in Fedora 18 on my localhost test server, located at: /var/www/html Ruby/gems and compass have already been installed. Now, I'm trying to create a test file and ...
1
vote
0answers
21 views

Storing web-development libraries locally and update them whenever you are connected to internet

I'm learning things on the web and pretty much have developed several websites. Internet in our country is a bit poor and slow so developing using ruby or node js is pretty much a pain in the ass ...
1
vote
0answers
49 views

Is Textmate like Ruby Markers “#=>” in notepad++ available?

I use Notepad++ to write Ruby code. Now sometimes to test some Ruby features I used to go IRB to see how that works. Can I get the same flavor in Notepad++ itself,like Textmate editor as below? x = ...
1
vote
0answers
227 views

Use Ruby with no-root user in Gentoo

I am just started to update my Gitlab on Gentoo server (4.2 > 5.0). For new version Gitlab need to use Ruby with user 'git'. # check ruby version for git user ( 1.9 required!! ) # gitlab shell ...
1
vote
0answers
243 views

How do I run WEBrick as an upstart job?

I need to get WEBrick (basically a Rails web server) to work using upstart, but cannot figure out what should I write in script. The following gives me an error: chdir /rails-app exec su -s /bin/sh ...
1
vote
0answers
458 views

Remove all Ruby from Ubuntu

I'm trying to start a new project with RadiantCMS, but I'm having lots of problems , because in the server are 2 different Ruby Installations. the First one , was installed following the next tut: ...
1
vote
0answers
422 views

No Ruby icon on '.rb' files after Ruby installation with RailsInstaller on Win XP. How to associate?

At first time I installed Ruby using RubyInstaller for Windows. And in the process of installation there was a checkbox whether I want to have .rb files to be Ruby files. If I agree all the .rb files ...
1
vote
0answers
61 views

No error output for ruby commands

I am currently having the following problem: Some of my ruby/rbenv commands commands (e.g.: bundle exec irb, rbenv rehash) fail when executing. However I don't get any error output: [~]$ bundle ...
1
vote
0answers
57 views

Mysql InnoDB and quickly applying large updates

Basically my problem is that I have a large table of about 17,000,000 products that I need to apply a bunch of updates to really quickly. The table has 30 columns with the id set as int(10) ...
1
vote
0answers
104 views

How do I execute a Ruby 1.9.3 program from Windows Explorer on Windows 7?

I wrote a Ruby program that will check a *.log file for key words and phrases. The program is called "Check_Log.rb". I use Windows 7 and I'd like to be able to right click the log file in Windows ...
1
vote
0answers
626 views

Installation on Linux & Win7: Aptana, PostgreSQL, Ruby, JQuery (WWW on Apache)

Basically I have 2 systems, where I want to develop (and use) my application: A Linux (Debian) system. This is my server. Here I have PostgreSQL (& phpPgAdmin), Apache, Ruby. Typically I use ...
1
vote
0answers
219 views

How do I make Gedit run a custom command when I save a certain type of file?

Can I tell Gedit to automatically run a command like slimrb -p foo.slim foo.html whenever I save a file ending in .slim?
1
vote
0answers
108 views

Circumventing a manual HTML login page for “unclassified” websites (automation purposes, credentials known)

The IT department just made my life a little bit harder again: they introduced a manual HTML login page for all websites they have not "classified". This means that all the applications which try to ...
0
votes
0answers
10 views

Canvas lms open sourse installation

Hope you are doing fine. I am facing a lot of problem while configuring canvas using ubuntu 14.04 following the steps described in https://github.com/instructure/canvas-lms/wiki/Quick-Start Step 1: ...
0
votes
0answers
13 views

How to increase OSX Terminal's “refresh rate”?

When I'm tabbed over refreshing a page on a ruby app, it sometimes takes a second (or a few) for the logs to appear in the terminal window, but I know for a fact the results are sent to $stdout almost ...
0
votes
0answers
6 views

How to downgrade rubygem2.4.8 to lower gems version which matches to my ruby version 1.9.1

I'm very new to Linux and to Calabash automation. and I roamed around Google, several sites, blogs to resolve my above problem but could not get the exact way to resolve it. I tried different commands ...
0
votes
0answers
8 views

How to access folders on Ruby

I have Windows PC. I am trying to access a folder I created in Windows explorer called "Ruby". I tried typing this in Ruby "$ cd ruby" but I get an error message " is not allowed as a global variable ...
0
votes
0answers
49 views

FFMpeg keeps hanging/crashing and causing memory allocation issues on Production RHEL Server

I'm working on adding video conversion to a Ruby on Rails (Ruby 2.1.5 Rails 4.1.5) app that I'm working on. I'm utilizing the Streamio-FFMpeg gem within the app so that I can run the necessary ...
0
votes
0answers
7 views

How to stop control/focus leaving the terminal when I start a GUI application

I have a Ruby script that launches Image viewer (eog) based on certain keyevents from the user. However Focus leaves the terminal(cursor stops blinking) when the first input is given. Until I click ...
0
votes
0answers
54 views

Mumble-Ruby openssl error when running scripts

First things first here are the instructions I am working off and system details: http://wiki.natenom.com/w/Mumble-Ruby_installation and this is for SuperBot a mumble ruby plugin. This is running ...
0
votes
0answers
228 views

Problems installing Metasploit Mac OS X 10.10: Claims wrong Ruby version is installed

I am trying to install Metasploit on Mac OS X 10.10 (Yosemite), but it doesn’t work because it says I have the wrong version of Ruby. Gem::InstallError: metasploit-concern requires Ruby version >= ...
0
votes
0answers
117 views

Sequel::AdapterNotFound: LoadError: cannot load such file — java

I have installed jruby-1.7.16 using rvm and having java open jdk version 1.7.0_75. bundle install gets success below are the errors when I run the bundle exec rake db:migrate --trace ...
0
votes
0answers
77 views

Permission denied error everytime I try to use npm in terminal

This occurs anytime I use npm in terminal and cannot seem to figure out where it is coming from" -bash: /usr/local/bin/rbenv: /usr/bin/env: bad interpreter: Permission denied
0
votes
0answers
83 views

How to start an external process in a ruby windows service?

I use this as a template to start an external task from a service LOG_FILE = 'C:\\Tmp\\win32_daemon_test.log' begin require 'rubygems' require 'win32/daemon' include Win32 class DemoDaemon ...
0
votes
0answers
133 views

Error loading gem hipchat in ruby

I can confirm that the gem is installed vagrant@vagrant-ubuntu-trusty-64:~$ /opt/sensu/embedded/bin/gem list| grep hipchat hipchat (1.4.0) I have verified that EMBEDDED_RUBY is already set $ cat ...
0
votes
0answers
33 views

How can I install a hipchat gem?

This is the command and the output $ sudo gem install hipchat Password: ERROR: While executing gem ... ...
0
votes
0answers
15 views

Ruby RuntimeError on launching terminal (Mac)

Whenever I open the terminal on Mac I get this error: /System/Library/Frameworks/Ruby.framework/Versions/Current/usr/bin/ruby: invalid option --1 (-h will show valid options) (RuntimeError) ...
0
votes
0answers
128 views

How to avoid gem update error in windows?

Showing below error C:\Ruby21>gem update Updating installed gems ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError) SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: ...
0
votes
0answers
18 views

Can vim/gvim show “self” when editing a Ruby file?

When editing Ruby files in gvim, I'd like to be able to see which Ruby context the cursor is in. For example, if I have a file with several nested modules and classes, I want to be able to see what ...
0
votes
0answers
573 views

Please install the mysql2 adapter: `gem install activerecord-mysql2-adapter` (cannot load such file — mysql2) (LoadError)

I am trying to install Redmine on Ubuntu and currently having an error if open Redmine page: Please install the mysql2 adapter: gem install activerecord-mysql2-adapter (cannot load such file -- ...
0
votes
0answers
278 views

Gems installed with the --user-install option into the OS X home folder aren't working properly afterwards.

On previous OS X revisions i had installed my gems with sudo. With Yosemite i wanted to change that and install without sudo. To leave the default gems in /Library/Ruby/Gems/2.0.0 ...
0
votes
0answers
49 views

Unable to Uninstall JRuby on Windows

I'm unable to uninstall JRuby on Windows. When I run the uninstallation program the first time it finishes its work with an error: java.io.IOException: access denied, also it deletes the files.log ...
0
votes
0answers
61 views

Why does my app run much faster on my laptop than my VPS?

I have a web application with a Ruby backend that does some stuff that is a bit computationally intensive. I develop and test the app on my rMBP with a 2.7GHz i7. I have the app deployed to a Linode ...
0
votes
0answers
117 views

How to indent multiline ruby method chaining code like this in emacs?

I wish to have such indentation: some_object.method_1(args) .method_2(args) .method_3(args) While by default ruby-mode will indent the code like: some_object.method_1(args) ...
0
votes
0answers
122 views

OSX: reinstall ONLY Ruby

Problem: Today I brought to life my next excellent idea - remove /System/Library/Frameworks/Ruby.framework folder on my Mac. So now brew is totally broken down: brew doctor /usr/local/bin/brew: ...
0
votes
0answers
1k views

rvm use responding with Unknown ruby interpreter version (do not know how to handle):

I have a number of Rails apps that I've inherited that use different Ruby versions. To make life easier I'm trying to use rvm. Whenever I fire off the rvm use command inside any of the directories I'm ...